GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Enumerations | Functions | Variables
socket_utils_posix.h File Reference
`#include <unistd.h>`
`#include <sys/socket.h>`

Go to the source code of this file.

## Typedefs
typedef enum grpc_dualstack_mode | grpc_dualstack_mode

## Enumerations
enum | grpc_dualstack_mode { GRPC_DSMODE_NONE, GRPC_DSMODE_IPV4, GRPC_DSMODE_IPV6, GRPC_DSMODE_DUALSTACK }

## Functions
int | grpc_accept4 (int sockfd, struct sockaddr *addr, socklen_t *addrlen, int nonblock, int cloexec)
int | grpc_set_socket_nonblocking (int fd, int non_blocking)
int | grpc_set_socket_cloexec (int fd, int close_on_exec)
int | grpc_set_socket_reuse_addr (int fd, int reuse)
int | grpc_set_socket_low_latency (int fd, int low_latency)
int | grpc_ipv6_loopback_available (void)
int | grpc_set_socket_no_sigpipe_if_possible (int fd)
int | grpc_create_dualstack_socket (const struct sockaddr *addr, int type, int protocol, grpc_dualstack_mode *dsmode)

## Variables
int | grpc_forbid_dualstack_sockets_for_testing

## Typedef Documentation

typedef enum grpc_dualstack_mode grpc_dualstack_mode

## Enumeration Type Documentation

enum grpc_dualstack_mode

Enumerator
GRPC_DSMODE_NONE |
GRPC_DSMODE_IPV4 |
GRPC_DSMODE_IPV6 |
GRPC_DSMODE_DUALSTACK |

## Function Documentation

int grpc_accept4 | ( | int | sockfd,
|  | struct sockaddr * | addr,
|  | socklen_t * | addrlen,
|  | int | nonblock,
|  | int | cloexec
| ) |  |

int grpc_create_dualstack_socket | ( | const struct sockaddr * | addr,
|  | int | type,
|  | int | protocol,
|  | grpc_dualstack_mode * | dsmode
| ) |  |

int grpc_ipv6_loopback_available | ( | void |  | ) |

int grpc_set_socket_cloexec | ( | int | fd,
|  | int | close_on_exec
| ) |  |

int grpc_set_socket_low_latency | ( | int | fd,
|  | int | low_latency
| ) |  |

int grpc_set_socket_no_sigpipe_if_possible | ( | int | fd | ) |

int grpc_set_socket_nonblocking | ( | int | fd,
|  | int | non_blocking
| ) |  |

int grpc_set_socket_reuse_addr | ( | int | fd,
|  | int | reuse
| ) |  |

## Variable Documentation

int grpc_forbid_dualstack_sockets_for_testing